{{#if @section.isCardDeck}}
  <Browse::Site::Card @feature={{@section.item}} @onDelete={{@actions.delete}} />
{{/if}}

{{#if @section.isOtherOptions}}
  <ModelActions::Record @record={{@section.item.id}} />
{{/if}}

{{#if @section.isRow}}
  <th scope='row'>
    <LinkTo @route='browse.sites.site' @model={{@section.item.id}} @query={{hash parentMap=this.parentMap}} class='text-decoration-none font-weight-bold {{if @section.item.issueCount "text-warning" "text-dark"}} p-0 ms-0 ps-0'>
      {{@section.item.name}}
    </LinkTo>

    <VisibilityIcon @value={{@section.item.visibility}} />
  </th>

  <td>
    <Article::FirstParagraph @contentBlocks={{@section.item.contentBlocks}} />
  </td>

  <td>
    <Browse::Icon::List @icons={{@section.item.icons}} />
  </td>

  <td>{{@section.item.pictures.length}}</td>
{{/if}}